---
updatedAt: 2025-05-15T21:03:21.000Z
agentTools:
  projectIndex: https://docs.youlend.com/llms.txt
---

# List daily settlement activity entries for an instant settlement

Sample request:
            
    GET /dailysettlementactivity?TimeFilterMin=2020-06-10&TimeFilterMax=2020-06-17&SortProperty=Date&SortReverse=true

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "YouLend Third Party Instant Settlement API",
    "description": "Through this API you can can create Instant Settlement transactions with YouLend",
    "contact": {
      "name": "Mark Ufland",
      "email": "mark.ufland@youlend.com"
    },
    "version": "v1.0"
  },
  "servers": [
    {
      "url": "https://partners.staging-youlendapi.com/instantsettlement"
    }
  ],
  "paths": {
    "/api/InstantSettlement/{instantSettlementNumber}/dailysettlementactivity": {
      "get": {
        "tags": [
          "InstantSettlement"
        ],
        "summary": "List daily settlement activity entries for an instant settlement",
        "description": "Sample request:\r\n            \r\n    GET /dailysettlementactivity?TimeFilterMin=2020-06-10&TimeFilterMax=2020-06-17&SortProperty=Date&SortReverse=true",
        "parameters": [
          {
            "name": "instantSettlementNumber",
            "in": "path",
            "description": "Instant settlement number (an integer)<br /><br />\r\nThis parameter can be obtained by calling the api/InstantSettlement GET endpoint which returns details about all instant settlement products available for a lending partner.",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "Count",
            "in": "query",
            "description": "Gets or sets the maximum number of daily settlement activity entries to return.",
            "schema": {
              "type": "integer",
              "description": "Gets or sets the maximum number of daily settlement activity entries to return.",
              "format": "int32",
              "default": 100
            }
          },
          {
            "name": "TimeFilterMin",
            "in": "query",
            "description": "Gets or sets the start date for daily settlement activity entries to return.\r\nFormat: ISO 8601.\r\nExample: 2020-06-10.",
            "schema": {
              "type": "string",
              "description": "Gets or sets the start date for daily settlement activity entries to return.\r\nFormat: ISO 8601.\r\nExample: 2020-06-10.",
              "format": "date-time"
            }
          },
          {
            "name": "TimeFilterMax",
            "in": "query",
            "description": "Gets or sets the end date for daily settlement activity entries to return.\r\nFormat: ISO 8601.\r\nExample: 2020-06-17.",
            "schema": {
              "type": "string",
              "description": "Gets or sets the end date for daily settlement activity entries to return.\r\nFormat: ISO 8601.\r\nExample: 2020-06-17.",
              "format": "date-time"
            }
          },
          {
            "name": "SortProperty",
            "in": "query",
            "description": "Gets or sets the sort property of daily settlement activity entries to return.\r\nYou can sort by any of the properties. The default is Date.",
            "schema": {
              "$ref": "#/components/schemas/DailySettlementActivitySortProperty"
            }
          },
          {
            "name": "SortReverse",
            "in": "query",
            "description": "Gets or sets a value indicating whether to return daily settlement activity entries in ascending (false) or descending (true) order.",
            "schema": {
              "type": "boolean",
              "description": "Gets or sets a value indicating whether to return daily settlement activity entries in ascending (false) or descending (true) order.",
              "default": false
            }
          },
          {
            "name": "api-version",
            "in": "header",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Instant settlement transactions are returned",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/DailySettlementActivityView"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Something went wrong!"
          },
          "401": {
            "description": "Unauthorized request"
          },
          "403": {
            "description": "Forbidden request"
          },
          "404": {
            "description": "Instant settlement not found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResultWrapper"
                }
              }
            }
          },
          "422": {
            "description": "Query parameters failed validation"
          },
          "500": {
            "description": "Servers are unavailable"
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "DailySettlementActivitySortProperty": {
        "enum": [
          "Date",
          "FundedAmount",
          "OutstandingInstantSettlement",
          "RequestedAmount",
          "SettlementPassedThrough",
          "SettlementReceived",
          "StartOfDayOutstandingInstantSettlement"
        ],
        "type": "string"
      },
      "DailySettlementActivityView": {
        "type": "object",
        "properties": {
          "date": {
            "type": "string",
            "description": "Gets or sets the date of the daily settlement activity entry",
            "format": "date-time"
          },
          "startOfDayOutstandingInstantSettlement": {
            "type": "number",
            "description": "Gets or sets the outstanding amount of the instant settlement at the start of the specified Date",
            "format": "double"
          },
          "requestedAmount": {
            "type": "number",
            "description": "Gets or sets the amount to settle requested by the merchant for the specified Date",
            "format": "double"
          },
          "fundedAmount": {
            "type": "number",
            "description": "Gets or sets the amount funded for the specified Date",
            "format": "double"
          },
          "settlementReceived": {
            "type": "number",
            "description": "Gets or sets the settlement amount received and used to repay the outstanding balance for the specified Date",
            "format": "double"
          },
          "settlementPassedThrough": {
            "type": "number",
            "description": "Gets or sets the settlement amount that has been redirected to the merchant's account and has not been used to repay any outstanding balance for the specified Date",
            "format": "double"
          },
          "outstandingInstantSettlement": {
            "type": "number",
            "description": "Gets or sets the current outstanding amount of the instant settlement for the specified Date",
            "format": "double"
          }
        },
        "additionalProperties": false
      },
      "ResultWrapper": {
        "type": "object",
        "properties": {
          "errorType": {
            "type": "integer",
            "format": "int32"
          },
          "data": {
            "type": "string",
            "nullable": true
          },
          "description": {
            "type": "string",
            "nullable": true
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "oauth2": {
        "type": "oauth2",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "https://youlend-stag.eu.auth0.com/oauth/token",
            "scopes": {}
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```